Bug 1723 - 3.0.6-2.fc2 - 2.6.8-1.521 kernel - IBM AS400 IFS
3.0.6-2.fc2 - 2.6.8-1.521 kernel - IBM AS400 IFS
Status: VERIFIED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbmount (unmaintained)
3.0.6
x86 Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-06 05:07 UTC by Greg
Modified: 2005-01-25 01:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg 2004-09-06 05:07:16 UTC
Hello,

I have a mounted a IBM AS400 integrated file server (IFS) in etc/rc.d/rc.local
using:
mount /mnt/AS400/CVS

and in fstab:
\\as400\cvs  /mnt/AS400/CVS  smbfs 
user,password=password,uid=501,gid=501,username=as400,noauto  0  0

Every thing works ok until I try to edit/save a file on the server in kwrite for
example.  The network drive then hangs, and I cannot reconnect.  The error in
system log is :  

Sep  6 10:00:41 ISD-COMP1 kernel: smb_setup_bcc: Packet too large 3996 > 14
Sep  6 10:00:41 ISD-COMP1 mount.smbfs[1930]: [2004/09/06 10:00:41, 0]
tdb/tdbutil.c:tdb_log(725) 
Sep  6 10:00:41 ISD-COMP1 mount.smbfs[1930]:  
tdb(/var/cache/samba/gencache.tdb): tdb_lock failed on list 30 ltype=0 (Bad file
descriptor) 
Sep  6 10:00:41 ISD-COMP1 mount.smbfs[1930]: [2004/09/06 10:00:41, 0]
tdb/tdbutil.c:tdb_log(725) 
Sep  6 10:00:41 ISD-COMP1 mount.smbfs[1930]:  
tdb(/var/cache/samba/gencache.tdb): tdb_lock failed on list 30 ltype=1 (Bad file
descriptor) 
Sep  6 10:00:41 ISD-COMP1 mount.smbfs[1930]: [2004/09/06 10:00:41, 0]
tdb/tdbutil.c:tdb_log(725) 
Sep  6 10:00:41 ISD-COMP1 mount.smbfs[1930]:  
tdb(/var/cache/samba/gencache.tdb): tdb_lock failed on list 30 ltype=1 (Bad file
descriptor) 
Sep  6 10:24:48 ISD-COMP1 kernel: smb_lookup: find //date1.sh~ failed, error=-512
Sep  6 10:25:18 ISD-COMP1 kernel: smb_add_request: request [08c77e00, mid=400]
timed out!
Sep  6 10:25:48 ISD-COMP1 kernel: smb_add_request: request [08c77e00, mid=401]
timed out!
Sep  6 10:25:48 ISD-COMP1 kernel: smb_lookup: find //date1.sh failed, error=-5
Sep  6 10:26:18 ISD-COMP1 kernel: smb_add_request: request [08c77e00, mid=402]
timed out!
Sep  6 10:26:18 ISD-COMP1 kernel: smb_lookup: find //date1.sh failed, error=-5
Sep  6 10:26:48 ISD-COMP1 kernel: smb_add_request: request [08c77e00, mid=403]
timed out!
Sep  6 10:26:48 ISD-COMP1 kernel: smb_lookup: find //date1.sh failed, error=-5

Deleting/coping files is no problem.  Things go wrong using CVS, Ant, OpenOffice
etc.  The problem started when I upgraded from 2.4 kernel.  I have tried a 
Common Internet Filesystem (cifs), but this seems not to be supported by the server.

Any ideas?

Cheers Greg
Comment 1 Branimir Vasilic 2005-01-17 12:51:32 UTC
I have noticed the same problem since I upgraded from the stock kernel on SuSE
9.2 (linux-2.6.8-24) to the SuSE updated kernel 2.6.8-24.10. On the stock kernel
Samba worked fine but after the upgrade I got the same errors in the message log:

Jan  5 15:13:02 starmax kernel: smb_trans2: invalid data, disp=0, cnt=0, tot=0,
ofs=0
Jan  5 15:13:32 starmax kernel: smb_add_request: request [d6f7ee60, mid=3859]
timed out!

and the same behavior. From the command line I could copy, create and delete
files without problems. Once I had to save files from a program (such as kwrite)
onto a smb share the save would timeout and the file would not be saved and its
length would be set to zero. I also noticed that this happens only on Linux to
Linux connections. I have a windows share mounted on my Linux machine at home
and have no problems like these (with the updated kernel), so it seems that the
problem might be on the server side of Samba.
Comment 2 Branimir Vasilic 2005-01-21 10:39:49 UTC
I just used SuSE's online update tool to update to 2.6.8-24.11 and I do not 
have this problem any more. It would be nice to know if this is a kernel or 
samba issue though. 
Comment 3 Lars Müller 2005-01-21 12:56:25 UTC
- patches.fixes/smbfs-security-fix: merged 2.6.10-ac8 smbfs
  fixes and old stefan esser fixes (46204).

From the kernel-default chnagelog.

rpm -qp --changelog kernel-default-2.6.8-24.11.i586.rpm | head

So it was a kernel bug.
Comment 4 Greg 2005-01-24 01:54:01 UTC
I am running 2.6.10-1.741_FC3 and it still does not allow saving etc.  This
should be open still?
Comment 5 Lars Müller 2005-01-24 02:27:36 UTC
No sure as this looks like a Fedora and not Samba.org bug.  Might be worth to
inform the Fedora guys.